[Risolto] Problemi ad installare KDE da YaST

3 risposte [Ultimo messaggio]
Ritratto di Sargon6
Sargon6
(Guru)
Offline
Guru
Iscritto: 13/11/2008
Messaggi: 723

In una partizione contenente OpenSUSE 11.3 con LXDE, ho voluto aggiungere KDE in modo che fosse disponibile fra i desktop da selezionare al login.
Ho quindi aperto YaST e poi ho selezionato Modelli.
Lì ho visto che, fra gli ambienti grafici, c'erano due icone del KDE:
Ambiente Desktop KDE4 e Sistema di Base KDE4
Ho immaginato di doverli selezionare entrambi ma, mentre per Sistema di Base KDE4 non ho riscontrato alcun problema, la selezione di Ambiente Desktop KDE4 comporta la comparsa di un errore:
Pattern:KDE4-11.3-22.1.i586 richiede patterns-openSUSE-kde4, ma non è possibile fornire questa richiesta
provider non installabili: patterns-openSUSE-kde4-11.3-22.1.i586(openSUSE-11.3 11.33-1.82)
patterns-openSUSE-kde4-11.3-22.1.i586(repo-oss)

Risoluzione del conflitto:
(_) Disinstallazione di patterns-openSUSE-x11_yasy_11.3-22.1.i586
(_) Non installare patterns.kde4-11.3-22.1.i586
(_) Danneggiare KDE4 ignorando alcune delle sue dipendenze.

Che significa? Cosa faccio?

Nel mio blog, ho scritto delle cose che forse ti interessano.
http://www.suseitalia.org/blog/9923

Ritratto di Mirko
Mirko
(Guru)
Offline
Guru
Iscritto: 19/12/2005
Messaggi: 1602

Quella dipendenza precisa non dovrebbe essere un vero e proprio problema. Ma credo nasconda qualcosa di più: che non hai i repo adatti, ad esempio Smile

Ritratto di bagarozzo85
bagarozzo85
(Guru)
Offline
Guru
Iscritto: 16/06/2006
Messaggi: 1050

Pattern:KDE4-11.3-22.1.i586 richiede patterns-openSUSE-kde4, ma non è possibile fornire questa richiesta
provider non installabili: patterns-openSUSE-kde4-11.3-22.1.i586(openSUSE-11.3 11.33-1.82)
patterns-openSUSE-kde4-11.3-22.1.i586(repo-oss)

Sargon6, come sono messi i tuoi repository? Chiedo perché questo pacchetto si trova in OSS, come tra l'altro è riportato nell'ultima riga della mia citazione.

È possibile che tu abbia problemi col repository principale? Surprise
Oppure hai giocato con i soliti noti STABLE e compagnia?

Ritratto di Sargon6
Sargon6
(Guru)
Offline
Guru
Iscritto: 13/11/2008
Messaggi: 723

Probabilmente la .iso da me scaricata aveva qualche problema... ho riscaricato ed installato, ed è andato tutto OK.

Nel mio blog, ho scritto delle cose che forse ti interessano.
http://www.suseitalia.org/blog/9923